# kwh-cost

Calculate cost of electricity.

## How to use

```shell
$ kwh-cost [OPTIONS] price wattage interval [interval ..]
```

Options are -v, --version to show program's version; and -h, --help to show usage of a program.

`price` is a price per kWh. `wattage` is how many Watts being consumed. `interval` is for how long.

`interval` is in seconds, but you can specify a unit. Units are the following:
`m` for minutes; `h` for hours; and `d` for days. There could be as many `interval`s passed as you need.

Here is an example:

```shell
$ kwh-cost 3.68 120 30d 2h
```

P.S.: Yeah, I pay 3.68 rubles per kWh. Which is just $0.05. :)

## Installation

### Manually

First run `make` to build a program, and then `make install` to copy executable in `/usr/bin/`. Later, use `make uninstall` to delete it, or just delete `/usr/bin/kwh-cost`.

### For ArchLinux

You can take a [PKGBUILD](/Arav/kwh-cost/raw/branch/master/PKGBUILD) file and in a directory with it run `makepkg -i`.